Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

Version 1 Next »

Obtain Source Code

The source code is available from the NCSA opensource SVN repository:

  svn co https://opensource.ncsa.illinois.edu/svn/dfdl/trunk/daffodil

Requirements

Daffodil requires Java 1.6 or higher. All scripts provided for running and testing are written in bash and tested in GNU Linux. Those scripts are not required though, so Daffodil should be able to run in other platforms as long as Java is installed

Apache Ant (1.7 or higher) is required for building using the provided script.

Daffodil is written in Scala 2.8.

It is not required to install Scala to run or compile Daffodil (the required Scala libraries are included).

Building from Source

An Ant script is provided in $DAFFODIL/build.xml. To build Daffodil simply issue:

  $ ant -f $DAFFODIL/build.xml all

or, if inside the installation directory:

  $ ant all

   .

Compiling in eclipse

There are IDE's and eclipse plug-ins that can be used to build daffodil. See:

  http://www.scala-lang.org/node/91

  • No labels